/*
 * @(#) ROIStatistics.java 1.0 2000/10/3
 * Copyright (c) 2000 Larry Rodrigues
 */
package com.vistech.roi;

/** Holds values of the statistics computed for a pixel sample.
  * @version 1.0  3 Oct 2000
  * @author Lawrence Rodrigues
  */

public class ROIStatistics implements java.io.Serializable {
   protected double min, max, mean, area, stdDev;

   /**
     * @param min the minimum value.
     * @param max the maximum value.
     * @param mean the mean value.
     * @param area the area.
     * @param stdDev the standard deviation.
     */
   public ROIStatistics(double min, double max, double mean, double area, double stdDev){
      setStats(min,max,mean,area,stdDev);
   }

   /** Sets the statistics values
     * @param min the minimum value.
     * @param max the maximum value.
     * @param mean the mean value.
     * @param area the area.
     * @param stdDev the standard deviation.
     */
    public void setStats(double min, double max, double mean, double area, double stdDev) {
      this.min = min;
      this.max = max;
      this.mean = mean;
      this.area = area;
      this.stdDev = stdDev;
   }

   /** Returns the minimum value.
     * @return the minimum value.
     */
   public double getMin() {
      return min;
   }

   /** Returns the maximum value.
     * @return the maximum value.
     */
    public double getMax() {
      return max;
   }

   /** Returns the mean value.
     * @return the mean value.
     */
   public double getMean() {
      return mean;
   }

   /** Returns the area.
     * @return the area.
     */
    public double getArea() {
      return area;
   }

   /** Returns the standard deviation.
     * @return the standard deviation.
     */
   public double getStdDev() {
      return stdDev;
   }
}
